Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jp.sbi.celldesigner.plugin.InfoCenter.InfoDisplayer
Class InformationDisplayerAbst

    java.lang.Object
      jp.sbi.celldesigner.plugin.InfoCenter.InfoDisplayer.InformationDisplayerAbst

All Implemented Interfaces:
  jp.fric.graphics.draw.GElement, InformationElementImpl

    public abstract class InformationDisplayerAbst

extends java.lang.Object
implements InformationElementImpl

Constructor Summary
`InformationDisplayerAbst()`

Method Summary
`void` | `addMember(InformationDisplayerAbst member)`
`jp.fric.graphics.draw.GElement` | `createCopy()`
`void` | `deleteMember(InformationDisplayerAbst member)`
`java.util.Vector` | `getMembers()`
`java.lang.String` | `getName()`
`abstract java.lang.Object` | `getParent()`
`java.awt.geom.Rectangle2D.Double` | `getRepaintBounds()`
`boolean` | `inShape(double x, double y)`
`boolean` | `intersects(java.awt.geom.Rectangle2D.Double selectArea)`
`boolean` | `isHighlighted()`
`boolean` | `onEdge(double x, double y)`
`boolean` | `popupAvailable()`
`void` | `setColor(java.lang.String mode, java.awt.Color color1, java.awt.Color color2)`
`void` | `setHighlighted(boolean highlight)`
`abstract void` | `setInnerPaintColor(java.awt.Color color)`
`abstract void` | `setInnerPaintMode(java.lang.String mode)`
`void` | `setName(java.lang.String name)`
`void` | `setOutterLineColor(java.awt.Color color)`
`abstract void` | `setParent(java.lang.Object parent)`
`abstract void` | `setPosition(double x, double y)`
`abstract void` | `setSize(double w, double h)`
`void` | `showPopup(java.awt.event.MouseEvent e, double x, double y, jp.fric.graphics.draw.GStructure structure)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface jp.fric.graphics.draw.GElement
`draw, getBounds, update`

Constructor Detail

### InformationDisplayerAbst

    public InformationDisplayerAbst()

Method Detail

### createCopy

    public jp.fric.graphics.draw.GElement createCopy()

  Specified by:
    `createCopy` in interface `jp.fric.graphics.draw.GElement`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `jp.fric.graphics.draw.GElement`

### getRepaintBounds

    public java.awt.geom.Rectangle2D.Double getRepaintBounds()

  Specified by:
    `getRepaintBounds` in interface `jp.fric.graphics.draw.GElement`

### inShape

    public boolean inShape(double x,
                           double y)

  Specified by:
    `inShape` in interface `jp.fric.graphics.draw.GElement`

### onEdge

    public boolean onEdge(double x,
                          double y)

  Specified by:
    `onEdge` in interface `jp.fric.graphics.draw.GElement`

### intersects

    public boolean intersects(java.awt.geom.Rectangle2D.Double selectArea)

  Specified by:
    `intersects` in interface `jp.fric.graphics.draw.GElement`

### isHighlighted

    public boolean isHighlighted()

  Specified by:
    `isHighlighted` in interface `jp.fric.graphics.draw.GElement`

### setHighlighted

    public void setHighlighted(boolean highlight)

  Specified by:
    `setHighlighted` in interface `jp.fric.graphics.draw.GElement`

### setName

    public void setName(java.lang.String name)

  Specified by:
    `setName` in interface `jp.fric.graphics.draw.GElement`

### popupAvailable

    public boolean popupAvailable()

  Specified by:
    `popupAvailable` in interface `jp.fric.graphics.draw.GElement`

### showPopup

    public void showPopup(java.awt.event.MouseEvent e,
                          double x,
                          double y,
                          jp.fric.graphics.draw.GStructure structure)

  Specified by:
    `showPopup` in interface `jp.fric.graphics.draw.GElement`

### setPosition

    public abstract void setPosition(double x,
                                     double y)

### setSize

    public abstract void setSize(double w,
                                 double h)

### setOutterLineColor

    public void setOutterLineColor(java.awt.Color color)

### setInnerPaintMode

    public abstract void setInnerPaintMode(java.lang.String mode)

### setInnerPaintColor

    public abstract void setInnerPaintColor(java.awt.Color color)

### setColor

    public void setColor(java.lang.String mode,
                         java.awt.Color color1,
                         java.awt.Color color2)

### getParent

    public abstract java.lang.Object getParent()

### setParent

    public abstract void setParent(java.lang.Object parent)

### addMember

    public void addMember(InformationDisplayerAbst member)

### deleteMember

    public void deleteMember(InformationDisplayerAbst member)

### getMembers

    public java.util.Vector getMembers()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD